Query your own org's diagnostic log lines (self-serve)
curl --request POST \
--url https://api.mnemom.ai/v1/me/logs/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "<string>",
"agent_id": "<string>",
"contains": "<string>",
"start": "<string>",
"end": "<string>",
"limit": 250
}
'import requests
url = "https://api.mnemom.ai/v1/me/logs/query"
payload = {
"request_id": "<string>",
"agent_id": "<string>",
"contains": "<string>",
"start": "<string>",
"end": "<string>",
"limit": 250
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: '<string>',
agent_id: '<string>',
contains: '<string>',
start: '<string>',
end: '<string>',
limit: 250
})
};
fetch('https://api.mnemom.ai/v1/me/logs/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"org_id": "<string>",
"query": "<string>",
"count": 123,
"entries": [
{
"ts": "<string>",
"timestamp": "<string>",
"level": "<string>",
"event": "<string>",
"request_id": "<string>",
"agent_id": "<string>",
"status": 123,
"duration_ms": 123,
"method": "<string>",
"route": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Auth
Query your own org's diagnostic log lines (self-serve)
MNE-382 (O8 supportability).
POST
/
me
/
logs
/
query
Query your own org's diagnostic log lines (self-serve)
Authorizations
BearerAuthApiKeyAuthCookieAuth
Supabase JWT token in Authorization: Bearer header
Body
application/json
All fields optional. The query is always scoped to your org server-side; org_id / query / selector / stream are rejected (400).
Filter to a single severity level.
Available options:
debug, info, warn, error Filter to a single request_id.
Filter to a single agent_id.
Bounded substring line-filter term (max 128 chars).
Window start (ISO-8601 or epoch-ms). Clamped to at most 7 days before end.
Window end (ISO-8601 or epoch-ms). Clamped to now.
Max entries to return (default 100, capped at 500).
Required range:
1 <= x <= 500